Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dtd
Class XMLContentSpec

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLContentSpec

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLContentSpec

extends Object

ContentSpec really exists to aid the parser classes in implementing access to the grammar.

This class is used by the DTD scanner and the validator classes, allowing them to be used separately or together. This "struct" class is used to build content models for validation, where it is more efficient to fetch all of the information for each of these content model "fragments" than to fetch each field one at a time. Since configurations are allowed to have validators without a DTD scanner (i.e. a schema validator) and a DTD scanner without a validator (non-validating processor), this class can be used by each without requiring the presence of the other.

When processing element declarations, the DTD scanner will build up a representation of the content model using the node types that are defined here. Since a non-validating processor only needs to remember the type of content model declared (i.e. ANY, EMPTY, MIXED, or CHILDREN), it is free to discard the specific details of the MIXED and CHILDREN content models described using this class.

In the typical case of a validating processor reading the grammar of the document from a DTD, the information about the content model declared will be preserved and later "compiled" into an efficient form for use during element validation. Each content spec node that is saved is assigned a unique index that is used as a handle for the "value" or "otherValue" fields of other content spec nodes. A leaf node has a "value" that is either an index in the string pool of the element type of that leaf, or a value of -1 to indicate the special "#PCDATA" leaf type used in a mixed content model.

For a mixed content model, the content spec will be made up of leaf and choice content spec nodes, with an optional "zero or more" node. For example, the mixed content declaration "(#PCDATA)" would contain a single leaf node with a node value of -1. A mixed content declaration of "(#PCDATA|foo)*" would have a content spec consisting of two leaf nodes, for the "#PCDATA" and "foo" choices, a choice node with the "value" set to the index of the "#PCDATA" leaf node and the "otherValue" set to the index of the "foo" leaf node, and a "zero or more" node with the "value" set to the index of the choice node. If the content model has more choices, for example "(#PCDATA|a|b)*", then there will be more corresponding choice and leaf nodes, the choice nodes will be chained together through the "value" field with each leaf node referenced by the "otherValue" field.

For element content models, there are sequence nodes and also "zero or one" and "one or more" nodes. The leaf nodes would always have a valid string pool index, as the "#PCDATA" leaf is not used in the declarations for element content models.

Nested Class Summary
`static interface` | `XMLContentSpec.Provider` Deprecated. Provides a means for walking the structure built out of content spec "nodes".

Field Summary
`static short` | `CONTENTSPECNODE_ANY` Deprecated. Represents any namespace specified namespace.
`static short` | `CONTENTSPECNODE_ANY_LAX` Deprecated. prcessContent is 'lax'
`static short` | `CONTENTSPECNODE_ANY_LOCAL` Deprecated. Represents any local element (XML Schema: ##local).
`static short` | `CONTENTSPECNODE_ANY_LOCAL_LAX` Deprecated.
`static short` | `CONTENTSPECNODE_ANY_LOCAL_SKIP` Deprecated.
`static short` | `CONTENTSPECNODE_ANY_OTHER` Deprecated. Represents any other namespace (XML Schema: ##other).
`static short` | `CONTENTSPECNODE_ANY_OTHER_LAX` Deprecated.
`static short` | `CONTENTSPECNODE_ANY_OTHER_SKIP` Deprecated.
`static short` | `CONTENTSPECNODE_ANY_SKIP` Deprecated. processContent is 'skip'
`static short` | `CONTENTSPECNODE_CHOICE` Deprecated. Represents choice, '|'.
`static short` | `CONTENTSPECNODE_LEAF` Deprecated. Name or #PCDATA.
`static short` | `CONTENTSPECNODE_ONE_OR_MORE` Deprecated. Represents a one or more occurence count, '+'.
`static short` | `CONTENTSPECNODE_SEQ` Deprecated. Represents sequence, ','.
`static short` | `CONTENTSPECNODE_ZERO_OR_MORE` Deprecated. Represents a zero or more occurence count, '*'.
`static short` | `CONTENTSPECNODE_ZERO_OR_ONE` Deprecated. Represents a zero or one occurence count, '?'.
`Object` | `otherValue` Deprecated. The "right hand" value of the content spec node.
`short` | `type` Deprecated. The content spec node type.
`Object` | `value` Deprecated. The "left hand" value object of the content spec node.

Constructor Summary
`XMLContentSpec()` Deprecated. Default constructor.
`XMLContentSpec(short type, Object value, Object otherValue)` Deprecated. Constructs a content spec with the specified values.
`XMLContentSpec(XMLContentSpec.Provider provider, int contentSpecIndex)` Deprecated. Constructs a content spec from the values specified by the given content spec provider and identifier.
`XMLContentSpec(XMLContentSpec contentSpec)` Deprecated. Constructs a content spec from the values in the specified content spec.

Method Summary
`void` | `clear()` Deprecated. Clears the values.
`boolean` | `equals(Object object)` Deprecated. Returns true if the two objects are equal.
`int` | `hashCode()` Deprecated. Returns a hash code for this node.
`void` | `setValues(short type, Object value, Object otherValue)` Deprecated. Sets the values.
`void` | `setValues(XMLContentSpec.Provider provider, int contentSpecIndex)` Deprecated. Sets the values from the values specified by the given content spec provider and identifier.
`void` | `setValues(XMLContentSpec contentSpec)` Deprecated. Sets the values of the specified content spec.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENTSPECNODE_LEAF

    public static final short CONTENTSPECNODE_LEAF

  Deprecated.
  Name or #PCDATA. Leaf nodes that represent parsed character data (#PCDATA) have values of -1.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ZERO_OR_ONE

    public static final short CONTENTSPECNODE_ZERO_OR_ONE

  Deprecated.
  Represents a zero or one occurence count, '?'.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ZERO_OR_MORE

    public static final short CONTENTSPECNODE_ZERO_OR_MORE

  Deprecated.
  Represents a zero or more occurence count, '*'.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ONE_OR_MORE

    public static final short CONTENTSPECNODE_ONE_OR_MORE

  Deprecated.
  Represents a one or more occurence count, '+'.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_CHOICE

    public static final short CONTENTSPECNODE_CHOICE

  Deprecated.
  Represents choice, '|'.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_SEQ

    public static final short CONTENTSPECNODE_SEQ

  Deprecated.
  Represents sequence, ','.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY

    public static final short CONTENTSPECNODE_ANY

  Deprecated.
  Represents any namespace specified namespace. When the element found in the document must belong to a specific namespace, `otherValue` will contain the name of the namespace. If `otherValue` is `-1` then the element can be from any namespace.

  Lists of valid namespaces are created from choice content spec nodes that have any content spec nodes as children.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_OTHER

    public static final short CONTENTSPECNODE_ANY_OTHER

  Deprecated.
  Represents any other namespace (XML Schema: ##other).

  When the content spec node type is set to CONTENTSPECNODE_ANY_OTHER, `value` will contain the namespace that cannot occur.

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_LOCAL

    public static final short CONTENTSPECNODE_ANY_LOCAL

  Deprecated.
  Represents any local element (XML Schema: ##local).

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_LAX

    public static final short CONTENTSPECNODE_ANY_LAX

  Deprecated.
  prcessContent is 'lax'

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_OTHER_LAX

    public static final short CONTENTSPECNODE_ANY_OTHER_LAX

  Deprecated.
  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_LOCAL_LAX

    public static final short CONTENTSPECNODE_ANY_LOCAL_LAX

  Deprecated.
  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_SKIP

    public static final short CONTENTSPECNODE_ANY_SKIP

  Deprecated.
  processContent is 'skip'

  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_OTHER_SKIP

    public static final short CONTENTSPECNODE_ANY_OTHER_SKIP

  Deprecated.
  See Also:
    Constant Field Values

### CONTENTSPECNODE_ANY_LOCAL_SKIP

    public static final short CONTENTSPECNODE_ANY_LOCAL_SKIP

  Deprecated.
  See Also:
    Constant Field Values

### type

    public short type

  Deprecated.
  The content spec node type.

  See Also:
    `XMLContentSpec.CONTENTSPECNODE_LEAF`, `XMLContentSpec.CONTENTSPECNODE_ZERO_OR_ONE`, `XMLContentSpec.CONTENTSPECNODE_ZERO_OR_MORE`, `XMLContentSpec.CONTENTSPECNODE_ONE_OR_MORE`, `XMLContentSpec.CONTENTSPECNODE_CHOICE`, `XMLContentSpec.CONTENTSPECNODE_SEQ`

### value

    public Object value

  Deprecated.
  The "left hand" value object of the content spec node. leaf name.localpart, single child for unary ops, left child for binary ops.

### otherValue

    public Object otherValue

  Deprecated.
  The "right hand" value of the content spec node. leaf name.uri, right child for binary ops

Constructor Detail

### XMLContentSpec

    public XMLContentSpec()

  Deprecated.
  Default constructor.

### XMLContentSpec

    public XMLContentSpec(short type,
                          Object value,
                          Object otherValue)

  Deprecated.
  Constructs a content spec with the specified values.

### XMLContentSpec

    public XMLContentSpec(XMLContentSpec contentSpec)

  Deprecated.
  Constructs a content spec from the values in the specified content spec.

### XMLContentSpec

    public XMLContentSpec(XMLContentSpec.Provider provider,
                          int contentSpecIndex)

  Deprecated.
  Constructs a content spec from the values specified by the given content spec provider and identifier.

Method Detail

### clear

    public void clear()

  Deprecated.
  Clears the values.

### setValues

    public void setValues(short type,
                          Object value,
                          Object otherValue)

  Deprecated.
  Sets the values.

### setValues

    public void setValues(XMLContentSpec contentSpec)

  Deprecated.
  Sets the values of the specified content spec.

### setValues

    public void setValues(XMLContentSpec.Provider provider,
                          int contentSpecIndex)

  Deprecated.
  Sets the values from the values specified by the given content spec provider and identifier. If the specified content spec cannot be provided, the values of this content spec are cleared.

### hashCode

    public int hashCode()

  Deprecated.
  Returns a hash code for this node.

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Deprecated.
  Returns true if the two objects are equal.

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD